LFR-FSW - Bug #73

Par défaut, I'envoi de TM_LFR_SCIENCE_NORMAL_CWF_LONG_F3 est privilégié devant
TM_LFR_SCIENCE_NORMAL_CWF_F3 (valeur par défaut de SY_LFR_N_CWF_LONG_F3).

05/03/2014 07:04 PM - Gerald Saule

Status: Closed Start date: 05/03/2014
Priority: Normal Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r104

Description

A priori, SY_LFR_N_CWF_LONG_F3 “Preductionof FIM-LEFR-SCIENGENORMAL- CWE LONG-F3{ifsetto-H" des
TC_LFR_LOAD_NORMAL_PAR Packet est initialement a 1.

L'icd n'impose rien sur ce point. Par soucis de cohérence avec I'historique, je propose que la valeur par défaut soit au contraire 0.
C'est un point vraiment mineur (mais, cela limiterait les modifs a apporter au code Python).

Contexte:

Brique:Brique Star-Dundee S/N 46120065.

LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f

Carte mini-LFR:LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)

Vhdl:mini-Ifr_0.0.0.15

Soft:1.0.0.2 (variante sur carte finale) = r104

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

History

#1 - 17/03/2014 11:20 AM - Gerald Saule

- Priority changed from Low to Normal

Le priority est passé en NORMAL, car la non affectation est en contradiction avec la SSS "The nominal case is to transmit
TM_LFR_SCIENCE_NORMAL_CWF_F3 packets" en note du SSS-CP-EQS-470 au §4.5.10.2 LFR DATA PACKETS
(RPW-SYS-SSS-00013-LES_Issue2-Rev1 du 20/01/2014).

#2 - 01/04/2014 08:19 AM - paul leroy

- Status changed from New to Resolved

Un test avec fsw = 1.0.0.5 en mode NORMAL avec les parameétres par défaut déclenche une émission des paquets
TM_LFR_SCIENCE_NORMAL_CWF_F3.
La valeur par défaut de SY_LFR_N_CWF_LONG_F3 semble étre 0.

#3 - 15/05/2014 12:12 PM - paul leroy

- Assignee changed from paul leroy to bruno katra

#4 - 17/06/2014 03:59 PM - Veronique bouzid

Ce point fait réference
SSS-CP-EQS-470 au §4.5.10.2 LFR DATA PACKETS (RPW-SYS-SSS-00013-LES_Issue2-Rev1 du 20/01/2014).
associé au REQ-LFR-SRS-5524 Ed2.

Le cas nomimal est de produire des TM_LFR_SCIENCE_NORMAL_CWF_F3. Pour cela on va utiliser le parametre
SY_LFR_N_CWF_LONG_F3 qui par défaut sera initialisé a 0.

Pour le vérifier, aprés un reset HW, on envoie une TC_LFR_DUMP_PAR et la réponse associée.

16:18:51.836483, TC_LFR_DUMP_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET = 1, DATA_FIELD_HEADER_FLAG:
WITH_HEADER = 1, PROCESS _ID: RPW_PID 2 =76, PACKET _CATEGORY: PRIVATE_SCIENCE_OR_TELECOMMAND = 12,
(PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=13400,
(PACKET_SEQUENCE_CONTROL=0xf458), PACKET_LENGTH=5, CCSDS_SECONDARY_HEADER_FLAG=0, PUS_VERSION =1,
ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=1,
SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: DUMP_PARAMETERS = 31, SOURCE_ID: MISSION_TIMELINE = 110,
CRC = 0xbcdd

16:18:51.839663, TM_LFR_PARAMETER_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,

DATA FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY: DUMP = 9, (PACKET _ID=0xcc9),
SEGMENTATION_GROUPING_FLAG: /N\CONTINUATION_PACKET = 0, SEQUENCE_CNT=0, (PACKET SEQUENCE_CONTROL=0x0),

PACKET LENGTH=29, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE:
HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE: HK_PARAMETER_REPORT = 25, DESTINATION_ID:
GROUND = 0, TIME=0x80000001bdbe, PA_LFR_HK_SID: LFR_DUMP_SID = 10, SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0, SY_LFR_SP1=0,
SY_LFR_R0=0, SY_LFR_R1=0, SY _LFR_N_SWF_L=2048, SY_LFR_N_SWF_P=300(s), SY_LFR_N_ASM_P=3600(s), SY_LFR_N_BP_P0=4(s),
SY_LFR_N_BP_P1=20(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3=0, SPARE=0x0, SY_LFR_B_BP_P0=1(s), SY_LFR_B_BP_P1=5(s),

SY LFR S1 BP P0=0.25(s), SY LFR_S1 BP_Pi=1(s), SY LFR S2 BP P0=1(s), SY_LFR S2 BP_P1=5(s), SPARE=0x0

Si I'on souhaite obtenir des TM_LFR_SCIENCE_NORMAL_CWF_LONG_F3, le paramétre SY LFR_N_CWF_LONG_F3 devra etre positionné a
1.

Pour cela, on utilisera la TC_LFR_LOAD_NORMAL_PAR en positionnant dans I'octet 18, le bit 15=1. Cet octet correspond au parametre
SY_LFR_N_CWF_LONG_F3

16:30:36.754231, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET = 1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000), PACKET _LENGTH=15, CCSDS_SECONDARY_HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=1, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS_1 = 13,
SOURCE_ID: MISSION_TIMELINE = 110, SY_LFR_N_SWF_L = 2048, SY_LFR_N_SWP_P = 300(s), SY_LFR_N_ASM_P = 3600(s),
SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 20(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3 = 1, SPARE=0x0, CRC = Oxdd5¢c

16:30:36.757084, TM_LFR_TC_EXE_SUCCESS, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: ACKNOWLEDGE = 1,
(PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=12,
(PACKET_SEQUENCE_CONTROL=0xc00c), PACKET_LENGTH=13, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE:
TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_SUCCESS = 7, DESTINATION_ID:
MISSION_TIMELINE = 110, TIME=0x800002c2aa54, PA_RPW_TELECOMMAND_PKT_ID=0x1ccc, PA_RPW_PKT_SEQ_CONTROL=0xc000

Le retour au comportement normal sera effectué avec la TC_LFR_LOAD_NORMAL_PAR en positionnant le parametre SY_LFR_N_CWF_LONG_F3
ao.

Le testcase SVS-0041 permet de valider la génération des produits TM_LFR_SCIENCE_NORMAL_CWF_F3 et
TM_LFR_SCIENCE_NORMAL_CWF_LONG_F3 dans les modes autorisés (1,3,4).

Le fichier correspondant est 2014_06_16-16_39_03-Detail.txt.

ici | extrait du fichier 2014_06_16-16_39_03-Nb.txt

LFR_FSW_PATH = /home/Ifr/Solar/Flight_SW/1.0.0.9b/fsw

Bridge selection = StarDundee

IppmonEngine.getLppmon: Version = 0.2.2, Branch = default, Changeset = 835955994d5f
16:18:50.339622,/home/Ifr/Solar/validation_R2/Ifrverif/LFR_SVS/SVS-0041/cwf_generation.py
16:18:50.341629,nb: ensure FSW has been reseted before this TEST CASE.
16:39:03.895398,End(/home/Ifr/Solar/validation_R2/Ifrverif/LFR_SVS/SVS-0041/cwf_generation.py)

Contexte:

LPPMON: Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Ill (sans connecteurs sub-click)
Vhdl: mini-lfr_0.1.16 Brique Star-Dundee S/N 46120065

Soft:1.0.0.9b (variante sur carte finale)

TEST CASE = SVS-0041

#5 - 17/06/2014 04:00 PM - Veronique bouzid

- Status changed from Resolved to Closed
